"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mqttHandler = exports.initDeviceService = exports.experimentalDevice = void 0;
const motionDevice_1 = require("./motionDevice");
const leakDevice_1 = require("./leakDevice");
const valveDevice_1 = require("./valveDevice");
const thermoHydroDevice_1 = require("./thermoHydroDevice");
const contactDevice_1 = require("./contactDevice");
exports.experimentalDevice = {
    VibrationSensor: false,
    MotionSensor: false,
    LeakSensor: false,
    Manipulator: false,
    THSensor: false,
    DoorSensor: true,
};
exports.initDeviceService = {
    VibrationSensor() { motionDevice_1.initMotionSensor.bind(this)(); },
    MotionSensor() { motionDevice_1.initMotionSensor.bind(this)(); },
    LeakSensor() { leakDevice_1.initLeakSensor.bind(this)(); },
    Manipulator() { valveDevice_1.initValveDevice.bind(this)(); },
    THSensor() { thermoHydroDevice_1.initThermoHydroDevice.bind(this)(); },
    DoorSensor() { contactDevice_1.initContactSensor.bind(this)(); },
};
exports.mqttHandler = {
    VibrationSensor(data) { motionDevice_1.mqttMotionSensor.bind(this)(data); },
    MotionSensor(data) { motionDevice_1.mqttMotionSensor.bind(this)(data); },
    LeakSensor(data) { leakDevice_1.mqttLeakSensor.bind(this)(data); },
    Manipulator(data) { valveDevice_1.mqttValveDevice.bind(this)(data); },
    THSensor(data) { thermoHydroDevice_1.mqttThermoHydroDevice.bind(this)(data); },
    DoorSensor(data) { contactDevice_1.mqttContactSensor.bind(this)(data); },
};
//# sourceMappingURL=deviceHandlers.js.map